Package org.eclipse.ecf.remoteservice.rest.identity

## Class RestID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.core.identity.URIID
    - - org.eclipse.ecf.remoteservice.rest.identity.RestID

All Implemented Interfaces:
  `Serializable`, `Comparable`, `Principal`, `org.eclipse.core.runtime.IAdaptable`, `ID`, `IResourceID`

    public class RestID
    extends URIID

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.ecf.core.identity.URIID

`URIID.URIIDNamespace`

### Field Summary

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Constructor Summary

Constructors
`RestID​(Namespace namespace, URI uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getRsId()`
`void` `setRsId​(long rsId)`
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.core.identity.URIID

`namespaceCompareTo, namespaceEquals, namespaceGetName, namespaceHashCode, toURI`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, equals, getAdapter, getName, getNamespace, hashCode, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.security.Principal

`implies`

### Constructor Detail

#### RestID

    public RestID​(Namespace namespace,
                  URI uri)

### Method Detail

#### getRsId

    public long getRsId()

#### setRsId

    public void setRsId​(long rsId)

#### toString

    public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `URIID`